### File

`packages/components/shared/input.directive.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

Selector | `input[euiInput]`

### Index

###### Methods
getCssClasses
###### Inputs
disabled euiDanger euiDisabled placeholder readonly
###### Accessors
disabled readonly placeholder

### Constructor

`constructor()`

### Inputs

disabled
Type : `boolean`

euiDanger
Type : `boolean`
Default value : `false`

euiDisabled
Type : `boolean`
Default value : `false`

placeholder
Type : `string | null`

readonly
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

disabled
get `disabled()`
set `disabled(state: BooleanInput)`
Parameters :
Name | Type | Optional
state | `BooleanInput` | No
Returns : `void`

readonly
get `readonly()`
set `readonly(state: BooleanInput)`
Parameters :
Name | Type | Optional
state | `BooleanInput` | No
Returns : `void`

placeholder
get `placeholder()`
set `placeholder(value: string | number | null)`
Parameters :
Name | Type | Optional
value | `string | number | null` | No
Returns : `void`

# results matching ""

# No results matching ""